#!/bin/sh
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is Caminol10n packages generator.
#
# The Initial Developer of the Original Code is
# Ludovic Hirlimann.
# Portions created by the Initial Developer are Copyright (C) 2004
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#	Hirlimann Ludovic <qa-mozilla@hirlimann.net>
#	Desvignes Sébastien
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

function usage
{
	echo "This script will copy the files from Ml package"
	echo " to Camino.pkg . So language packs are created"
	echo "no argument all languages except english will be"
	echo "taken into account, else only specified languages" 
	echo "will be copied"
	echo "-h give this help"
}

function copy_lproj
{
cd Camino.app
for i in `find . -name "$1" |grep -v $DEFAULT | sed 's/-/-,/g' | sed 's/ /-_/'g`
do
    i=${i//-_/ }
    i=${i//-,/-}
    [ -d "../$DEST/$i" ] && rm -rf "../$DEST/$i"
# Need to create dir before copying
    mkdir -p "../$DEST/$i"
# Since directory exist, change the cp command to copy content instead of dir    
    cp -R "$i"/* "../$DEST/$i"
done
}

# check argument bail with usage if argument are present
if [ $# -eq 1 ] && [ "$1" = "-h" ]
then
	usage
	exit 0
fi

# Changed DEST so that it's comfortably browsable
DEST=Camino_app


DEFAULT=English.lproj

if [ $# -eq 0 ]
then
	copy_lproj *.lproj
else
	# shift all argument until the end and copy the directories
	k=$#
	while [[ $k -gt 0 ]]; do
		copy_lproj $1.lproj
		shift
		let k=k-1
	done
fi

